Page MenuHomePhabricator

TechStorm 2019 showcase
Closed, ResolvedPublic

Description

Task to track the showcase of the TechStorm 2019 on 23 November 2019 16:00.

https://etherpad.wikimedia.org/p/Wts2019_Presentations


Wiki Techstorm 2019 Showcase & Project list

Amsterdam - on Saturday from 16:00 - 16:45, run by Siebrand
Live stream:

Contents:

I / We want to be in Saturday's Wiki Techstorm Showcase (limited to 18 total, with 2 minutes each)

Not presenting or leaving early: here is some info documenting our project.

I / We want to be in Saturday's Showcase

Fill in a section below with your details. 

Replace the <placeholder text>! 

If possible, please explain your project without using a computer. Keep in mind that your audience is also made up of regular non-technical Wiki Techstorm attendees, so adjust your content accordingly.

The second best option is to add a link to this etherpad and use the provided laptop, from where you can access any demo you need. 

You cannot use your own laptop. There are many projects to showcase and we cannot give extra time for setup. The provided MacbookPro with QWERTY keyboard will have a wired internet connection, can play sound and you can use FireFox, Chrome or ...

If you do not wish to be filmed, then please find someone else to present your project, or use the "not presenting" section below. Sorry, but this session is live-streamed.


Deadline for showcase registration is Saturday at 15:00.

Just before the showcase, we will trim and reorder this list. Presentations will be from top to bottom. If you are not on the list, you unfortunately have not been selected to present.

Between 14:30 and 15.00, you can test on the presentation laptop if so needed in Borneozaal.

0 (EXAMPLE)

Name: Password-less login

Task: https://phabricator.wikimedia.org/T220418 

Brief description accessible to a non-technical audience (!): Logging in without requiring the user to enter a password, just by pressing a button on a pre-registered smartphone.

URL: https://youtu.be/Hfg0A1H0X8s 

Team: @Florian

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

1

  • Name: Authority control in Dutch Wikipedia

    Task: https://phabricator.wikimedia.org/T237783

    Brief description accessible to a non-technical audience (!): A new template is now working on Dutch Wikipedia to link to external identifiers

    URL: https://nl.wikipedia.org/wiki/Theo_Maassen

    Team: Amir Wikidata lovers <3

    Development status (pick 1): implementation

    Audience (pick max. 2): Editors / Readers

    Showcase presentation notes: (leave this empty)

3

Name: Wikiportret

Task: Wikiportret

Brief description accessible to a non-technical audience (!): Semi-automatically find categories for photos uploaded to Wikiportret

URL:https://docs.google.com/presentation/d/1JofvplS4GmLgKqaI91wDLbCP7dqgTTB0RbtekV3xrN4/edit?usp=sharing

Team:Remko de Keijzer

Development status (pick 1):  implementation

Audience (pick max. 2): Readers, Editors

Showcase presentation notes: (leave this empty)

4

Name: Openrefine

Task:  using openrefine to update wikidata

Brief description accessible to a non-technical audience (!): Adding French description to women computer scientists in wikidata using openrefine to generate a working list 

URL:https://fr.wikipedia.org/wiki/Projet:Les_sans_pagEs/Listeria/ListeInformaticiennes

Team: Antonin and Nattes à chat

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors

Showcase presentation notes: (leave this empty)

5

Name: Japanese drawings of plants

Task: Upload 103 images with descriptions to wikimedia commons

Brief description accessible to a non-technical audience (!): Images from a Japanese Encyclopedia from the early 19th Century are uploaded with Latin, English and Japanese names

URL:<https://commons.wikimedia.org/wiki/Category:Seikei_Zusetsu>

Team: <Liesbeth, Sandra, Sam, Liesbeth, Saskia>

Development status (pick 1): maintenance

Audience (pick max. 2): Readers, Editors

Showcase presentation notes: (leave this empty)

6

Name: Commons game to identify unidentify figures skaters

Task: https://phabricator.wikimedia.org/T223740

Brief description accessible to a non-technical audience (!): <placeholder text>

URL:https://commons-games.ngrok.io/

Team: Mahuton & Hamonia Amanda

Development status (pick 1): Development (WIP)

Audience (pick max. 2): Editors, Developers

Showcase presentation notes: (leave this empty)

7

Name: Template for plantages

Task: https://phabricator.wikimedia.org/T238379

Brief description accessible to a non-technical audience (!): Create an infobox for Dutch Wikipedia for plantations, that would take data from Wikidata

URL: https://nl.wikipedia.org/wiki/Module:Infobox_plantage   |   https://nl.wikipedia.org/wiki/Mariënburg_(Suriname)

Team:Wilma and Anton

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

8

Name: Auteur koptekst voor Wikisource

Task: https://phabricator.wikimedia.org/T238983

Brief description accessible to a non-technical audience (!): Create Wikidata driven header template for authors for Dutch Wikisource

URL:https://nl.wikisource.org/wiki/Module:Auteur_koptekst   |   https://nl.wikisource.org/wiki/Auteur:Hugo_de_Vries

Team: Anton, Wilma

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

9

Name: Infobox auteur

Task: 

Brief description accessible to a non-technical audience (!): Create a Wikidata driven infobox about authors in Dutch Wikisource

URL: https://nl.wikisource.org/wiki/Module:Infobox_auteur   |   https://nl.wikisource.org/wiki/Auteur:Hugo_de_Vries

Team: Anton Wilma

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

10

Name: Started New book on Wikisource

Task: searched, find, uploaded and started new book from women writer

Brief description accessible to a non-technical audience (!): <placeholder text>

URL:https://nl.wikisource.org/wiki/Index:Het_Swervende_Portret.pdf

Team: Camille, Wilma

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

11

Name: Minefield

Task: https://phabricator.wikimedia.org/T238908

Brief description accessible to a non-technical audience (!): A tool that takes a list of Wikimedia Commons filenames and converts them to their equivalent structured data M numbers

URL:https://tools.wmflabs.org/hay/minefield/ - try it with PagePile ID 27173 https://tools.wmflabs.org/pagepile/api.php?action=get_data&id=27173 - Sandra already did 2 QuickStatement batches thanks to this tool: https://tools.wmflabs.org/quickstatements/#/batches/Spinster

Team: Hay (User:Husky), with some input from Sandra

Development status (pick 1): maintenance ?

Audience (pick max. 2): Editors

Showcase presentation notes: (leave this empty)


12

Name: WikiFlix

Task: https://phabricator.wikimedia.org/T238978

Brief description accessible to a non-technical audience (!): Some first experiments to play with a free alternative to Netflix, based on films on Wikidata and Commons!

URL: https://commons.wikimedia.org/wiki/User:Spinster/WikiFlix and subpages https://commons.wikimedia.org/wiki/Special:PrefixIndex/User:Spinster/WikiFlix/ - Listeria template at https://commons.wikimedia.org/wiki/Template:Wikidata_list/WikiFlix

Team: Sandra

Development status (pick 1): analysis

Audience (pick max. 2): Readers, designers

Showcase presentation notes: (leave this empty)

13

Name: <CiciliaOestholm>

Task: <https://phabricator.wikimedia.org/T237471>

Brief description accessible to a non-technical audience (!): <Importing data on hospitals in the Västra Götalands Regionen to Wikidata, using OpenRefine to reconsiliate dtatsets with existing items in Wikidata >

URL:<https://oppnadata.se/datamangd/#esc_entry=1248&esc_context=197  and  http://127.0.0.1:3333/project?project=1753178557729 and https://www.wikidata.org/wiki/Special:Contributions/CiciliaOestholm and https://imgur.com/a/boqAzIH>

Team: <Cicilia, with good help by Antonin and Jan>


Development status (pick 1): implementation

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

14

Name: Fixed broken map of executed witches by using Sparql, GeoJson and Wikimedia Commons .map file

Task: 

Brief description accessible to a non-technical audience (!): User:Nattes à chat pointed out the exisiting map of executed witches  was broken, because the number of datapoints that needed to be SPARQLed grew too large, with the WDQS timing out. Using code snippets from my map making workshop - https://github.com/ookgezellig/WikidataMapMakingWorkshop - I was able to re-create the map with the large number of datapoints. 

URL:https://fr.wikipedia.org/wiki/Projet:Les_sans_pagEs/Carte_des_sorci%C3%A8res_notoires#Carte_interactive + https://commons.wikimedia.org/wiki/Data:Map_of_executed_witches.map + http://geojson.io/#map=2/21.8/26.7 + 

https://w.wiki/CZi

Team: Olaf Janssen & Nattes à chat

Development status (pick 1):   development / testing

Audience (pick max. 2): Readers, Editors, 

Showcase presentation notes: (leave this empty)

17

Name:Biographic Data Leiden Professors  

Task: Update missing professors to wikidata 

Brief description accessible to a non-technical audience (!): Around 40% of the persons in our database of Leiden Professors have not yet an entry in Wikidata

URL:<hoogleraren.leidenuniv.nl>

Team: <Liesbeth, Danielle, Maarten>

Development status (pick 1): planning

Audience (pick max. 2): Readers, Editors

Showcase presentation notes: (leave this empty)

18

Name: Stadsarchief Delft - Annika 

Task: uploading & formatting set of drawings to upload to Commons 

Brief description accessible to a non-technical audience (!): the process of cleaning and formatting metadata of a collection of old drawings in the collection of the Stadsarchief Delft, formatting with OpenRefine and uploading with Pattypan. 

URL:https://commons.wikimedia.org/wiki/Category:Drawings_of_Delft ; https://nl.wikipedia.org/wiki/Balthazar_Jooss 

Team: Annika, MichellevL, Danielle, Hanno, Antonin 

Development status (pick 1): planning / analysis / design / development / testing / implementation / maintenance

Audience (pick max. 2): Readers, Editors, Administrators, Developers

Showcase presentation notes: (leave this empty)

19

Name: Add depicts statements to Naturalis taxon images

Task: Add structured data

Brief description accessible to a non-technical audience (!): We have a lot of nice images from Naturalis of taxons, see https://commons.wikimedia.org/wiki/Category:Media_donated_by_Naturalis_Biodiversity_Center . Write robot to add depicts statements to these images

URL: https://commons.wikimedia.org/wiki/File:Naturalis_Biodiversity_Center_-_RMNH.AVES.152233_1_-_Ramphocelus_sanguinolentus_sanguinolentus_(Lesson,_1831)_-_Emberizidae_-_bird_skin_specimen.jpeg

URL2: https://commons.wikimedia.org/wiki/File:Naturalis_Biodiversity_Center_-_RMNH.MOL.186584_1_-_Erronea_cylindrica_(Von_Born,_1778)_-_Cypraeidae_-_Mollusc_shell.jpeg

Team: Maarten & Hans

Development status (pick 1):  maintenance

Audience (pick max. 2): Readers

Showcase presentation notes: (leave this empty)

22

Name: Elsinga Collection mass upload 

Task: uploading 10.000 pictures from the Elsinga Collection of the Regional Archive Alkmaar to Wikimedia Commons 

Brief description accessible to a non-technical audience (!): In the German Wikipedia there is a tool in plance to monitor individual sections in discussions. For this purpose a server-side login, using OAuth, is required.

URL: https://phabricator.wikimedia.org/T235995 and https://github.com/siebrand/T235995 

Team: Siebrandt, Maarten, Michelle, Sam 

Development status (pick 1): development

Audience (pick max. 2): Editors, 

Showcase presentation notes:

23

Name: 

Task: Automated mass upload of images, received by scraping

Brief description accessible to a non-technical audience (!): After someone have scraped a website for images, it would be long and inconvenient to upload all of them to Commons manually, this should be automated

URL:https://commons.wikimedia.org/wiki/File:Cakes_at_Wiki_Techstorm_2019.jpg

Team: Tohaomg

Development status (pick 1):  Alpha version ready. Development in progress

Audience (pick max. 2): 

Showcase presentation notes: (leave this empty)
  1. Name: SheX Creation Help

    Task: Help to create shape expressions easily

    Brief description accessible to a non-technical audience (!): Wikidata released support for shape expressions sometime back. But currently there are less than 200 entities. https://www.wikidata.org/wiki/EntitySchema:E130 This script will help to reduce the learning curve on https://www.wikidata.org/wiki/Special:NewEntitySchema (something similar to quickstatements)

    URL:https://github.com/johnsamuelwrites/dcap/blob/master/painting/ShexCreatorHelp.ipynb + https://github.com/dcmi/dcap/blob/master/painting/E130.ipynb

    Team: John Samuel (jsamwrites), Andra Waagmeester, Maarten Dammers

    Development status (pick 1): development / testing

    Audience (pick max. 2): Readers, Editors,

    Showcase presentation notes: (leave this empty)
  1. Name: Learning Wikibase

    Task: Uses Cases around Wikibase

    Brief description accessible to a non-technical audience (!): GitHub Documentation for Wikibase

    URL: http://learningwikibase.com/

    Team: Sandra

    Development status (pick 1): in progress

    Audience (pick max. 2): Editors

    Showcase presentation notes:

1

Name: Edo de Roo

Task: Give two workshops, be a mentor

Brief description accessible to a non-technical audience (!): <placeholder text>

URL:https://www.edoderoo.nl/

Team: Mentors

Development status (pick 1):  maintenance

Audience (pick max. 2):, Editors, 

Showcase presentation notes: (leave this empty)

20

Name:  Lighthouses in Germany

Task: Use Listeria to list lighthouses in Germany and add Heliosturm in Cologne to Wikidata

Brief description accessible to a non-technical audience (!): 

URL:https://de.wikipedia.org/wiki/Benutzer%3AAkuckartz

Team: Andreas

Development status (pick 1): implementation

Audience (pick max. 2): myself

Showcase presentation notes: (leave this empty)

21

Name: secWatch: OAuth Login

Task: Migration from JS to Pyhon code base

Brief description accessible to a non-technical audience (!): In the German Wikipedia there is a tool in plance to monitor individual sections in discussions. For this purpose a server-side login, using OAuth, is required.

URL: https://de.wikipedia.org/wiki/Benutzer:FNDE/Beobachtungsliste & https://tools.wmflabs.org/secwatch/init

Team: FNDE

Development status (pick 1): development

Audience (pick max. 2): Editors, Developers

Showcase presentation notes: Please turn of the stream.

15

Name:  Arybolab

Task: https://phabricator.wikimedia.org/T238981 , https://phabricator.wikimedia.org/T204723

Brief description accessible to a non-technical audience (!): Occupation distribution by century and gender and Normalize Wikimedia Commons file names via a ValueParser

URL:https://phabricator.wikimedia.org/T238981#5686522

Team: Amir, John Samuel

Development status (pick 1): implementation

Audience (pick max. 2): Readers, Developers

Showcase presentation notes: (leave this empty)

Event Timeline

Base added a subscriber: Base.Nov 23 2019, 2:56 PM
Ecritures closed this task as Resolved.Nov 26 2019, 11:12 PM
Ecritures claimed this task.
Ecritures moved this task from Saturday 23rd November to Done on the Wiki-Techstorm-2019 board.
Multichill updated the task description. (Show Details)Dec 4 2019, 10:17 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptDec 4 2019, 10:17 PM

@Ecritures looks like you accidentally closed the task without copying the results here. I did so. You might want to format it.